Subject: bug#29325: 26.0.90: Info scrolling stuck

From: [email-masked] (Charles A. Roelli)
Date: Thu, 16 Nov 2017 21:45:35 +0100

> Date: Thu, 16 Nov 2017 21:47:59 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Thu, 16 Nov 2017 20:41:09 +0100
> > From: [email-masked] (Charles A. Roelli)
> > 
> > I had the following issue under GNU/Linux, but not macOS:
> > 
> > 1. C-h i
> > 2. M-x buffer-face-mode RET (to enable a variable-width font)
> > 3. m Info RET
> > 4. g Help-Inv RET
> > 5. Scroll to the bottom of the buffer with the mouse-wheel, then up again.
> > 
> > In step 5, I could scroll all the way to the bottom of the buffer (as
> > far as scrolling with the mouse wheel brings you), but scrolling back
> > to the top of the buffer would get stuck in the middle somewhere.
> > Even pressing DEL would not work.
> 
> Not reproducible here.  Could be a macOS thing?  Or maybe it depends
> on the font used as variable pitch (or its size)?

Initially, it happened on Ubuntu GNU/Linux from emacs -q, not macOS.

However, I've just managed to trigger it on macOS from emacs -q, by
customizing face `variable-pitch' as follows:

Variable Pitch face: [sample]
    State : SET for current session only.
   The basic variable-pitch face.
   [X] Font Family: Sans Serif
   [ ] Font Foundry: --
   [ ] Width: --
   [X] Height: Value Menu Scale: 1.5

(The font family was already Sans Serif, I just changed the height
scale from 1.0 to 1.5).